summaryrefslogtreecommitdiff
path: root/dev-ruby/httpauth
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/httpauth
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/httpauth')
-rw-r--r--dev-ruby/httpauth/Manifest1
-rw-r--r--dev-ruby/httpauth/httpauth-0.2.1-r1.ebuild28
-rw-r--r--dev-ruby/httpauth/metadata.xml9
3 files changed, 38 insertions, 0 deletions
diff --git a/dev-ruby/httpauth/Manifest b/dev-ruby/httpauth/Manifest
new file mode 100644
index 000000000000..da43b583e31d
--- /dev/null
+++ b/dev-ruby/httpauth/Manifest
@@ -0,0 +1 @@
+DIST httpauth-0.2.1.tar.gz 17300 BLAKE2B 4609f35fd26b1eb8e3d17586553f5dd5555d3c676f2189f7da5ff23057438c91919cb0838fdf219f0b26682b2a08d903c7906edc9fbfa58ce9afae9e0f58a6a8 SHA512 c861089c2dc5242b86867e0a6561672361ba53ccaaf8a931c996502fc12bbce769abf3ebd7fce826cbcfbc943fc901ba1c96e8ce014333582c5d2fa2c3e56a60
diff --git a/dev-ruby/httpauth/httpauth-0.2.1-r1.ebuild b/dev-ruby/httpauth/httpauth-0.2.1-r1.ebuild
new file mode 100644
index 000000000000..bd07ace5c591
--- /dev/null
+++ b/dev-ruby/httpauth/httpauth-0.2.1-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_EXTRADOC="README.md TODO"
+RUBY_FAKEGEM_GEMSPEC="httpauth.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Library implementing the full HTTP Authentication protocol (RFC 2617)"
+HOMEPAGE="https://github.com/Manfred/HTTPauth"
+SRC_URI="https://github.com/Manfred/HTTPauth/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+RUBY_S=HTTPauth-${PV}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+all_ruby_prepare() {
+ sed -e '/has_rdoc/ s:^:#:' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ sed -i -e "/[Bb]undler/d" Rakefile || die
+}
diff --git a/dev-ruby/httpauth/metadata.xml b/dev-ruby/httpauth/metadata.xml
new file mode 100644
index 000000000000..c685ebad7e3a
--- /dev/null
+++ b/dev-ruby/httpauth/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>